package cn.com.infosec.jce.provider.symmetric;

import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.nist.NISTObjectIdentifiers;
import java.util.HashMap;

public class AESMappings extends HashMap {
   private static final String wrongAES128 = "2.16.840.1.101.3.4.2";
   private static final String wrongAES192 = "2.16.840.1.101.3.4.22";
   private static final String wrongAES256 = "2.16.840.1.101.3.4.42";

   public AESMappings() {
      AESMappings var10000 = this;
      AESMappings var10001 = this;
      AESMappings var10002 = this;
      AESMappings var10003 = this;
      AESMappings var10004 = this;
      AESMappings var10005 = this;
      AESMappings var10006 = this;
      AESMappings var10007 = this;
      AESMappings var10008 = this;
      AESMappings var10009 = this;
      AESMappings var10010 = this;
      AESMappings var10011 = this;
      AESMappings var10012 = this;
      AESMappings var10013 = this;
      AESMappings var10014 = this;
      AESMappings var10015 = this;
      AESMappings var10016 = this;
      AESMappings var10017 = this;
      AESMappings var10018 = this;
      AESMappings var10019 = this;
      AESMappings var10020 = this;
      AESMappings var10021 = this;
      AESMappings var10022 = this;
      AESMappings var10023 = this;
      AESMappings var10024 = this;
      AESMappings var10025 = this;
      AESMappings var10026 = this;
      AESMappings var10027 = this;
      AESMappings var10028 = this;
      AESMappings var10029 = this;
      AESMappings var10030 = this;
      AESMappings var10031 = this;
      AESMappings var10032 = this;
      AESMappings var10033 = this;
      AESMappings var10034 = this;
      AESMappings var10035 = this;
      AESMappings var10036 = this;
      AESMappings var10037 = this;
      AESMappings var10038 = this;
      AESMappings var10039 = this;
      AESMappings var10040 = this;
      AESMappings var10041 = this;
      AESMappings var10042 = this;
      AESMappings var10043 = this;
      AESMappings var10044 = this;
      AESMappings var10045 = this;
      AESMappings var10046 = this;
      AESMappings var10047 = this;
      AESMappings var10048 = this;
      AESMappings var10049 = this;
      super();
      this.put("AlgorithmParameters.AES", "cn.com.infosec.jce.provider.symmetric.AES$AlgParams");
      this.put("Alg.Alias.AlgorithmParameters.2.16.840.1.101.3.4.2", "AES");
      this.put("Alg.Alias.AlgorithmParameters.2.16.840.1.101.3.4.22", "AES");
      this.put("Alg.Alias.AlgorithmParameters.2.16.840.1.101.3.4.42", "AES");
      DERObjectIdentifier var15;
      this.put("Alg.Alias.AlgorithmParameters." + (var15 = NISTObjectIdentifiers.id_aes128_CBC), "AES");
      DERObjectIdentifier var1;
      var10049.put("Alg.Alias.AlgorithmParameters." + (var1 = NISTObjectIdentifiers.id_aes192_CBC), "AES");
      DERObjectIdentifier var2;
      var10048.put("Alg.Alias.AlgorithmParameters." + (var2 = NISTObjectIdentifiers.id_aes256_CBC), "AES");
      var10047.put("AlgorithmParameterGenerator.AES", "cn.com.infosec.jce.provider.symmetric.AES$AlgParamGen");
      var10046.put("Alg.Alias.AlgorithmParameterGenerator.2.16.840.1.101.3.4.2", "AES");
      var10045.put("Alg.Alias.AlgorithmParameterGenerator.2.16.840.1.101.3.4.22", "AES");
      var10044.put("Alg.Alias.AlgorithmParameterGenerator.2.16.840.1.101.3.4.42", "AES");
      var10043.put("Alg.Alias.AlgorithmParameterGenerator." + var15, "AES");
      var10042.put("Alg.Alias.AlgorithmParameterGenerator." + var1, "AES");
      var10041.put("Alg.Alias.AlgorithmParameterGenerator." + var2, "AES");
      var10040.put("Cipher.AES", "cn.com.infosec.jce.provider.symmetric.AES$ECB");
      var10039.put("Alg.Alias.Cipher.2.16.840.1.101.3.4.2", "AES");
      var10038.put("Alg.Alias.Cipher.2.16.840.1.101.3.4.22", "AES");
      var10037.put("Alg.Alias.Cipher.2.16.840.1.101.3.4.42", "AES");
      DERObjectIdentifier var3;
      var10036.put("Cipher." + (var3 = NISTObjectIdentifiers.id_aes128_ECB), "cn.com.infosec.jce.provider.symmetric.AES$ECB");
      DERObjectIdentifier var4;
      var10035.put("Cipher." + (var4 = NISTObjectIdentifiers.id_aes192_ECB), "cn.com.infosec.jce.provider.symmetric.AES$ECB");
      DERObjectIdentifier var5;
      var10034.put("Cipher." + (var5 = NISTObjectIdentifiers.id_aes256_ECB), "cn.com.infosec.jce.provider.symmetric.AES$ECB");
      var10033.put("Cipher." + var15, "cn.com.infosec.jce.provider.symmetric.AES$CBC");
      var10032.put("Cipher." + var1, "cn.com.infosec.jce.provider.symmetric.AES$CBC");
      var10031.put("Cipher." + var2, "cn.com.infosec.jce.provider.symmetric.AES$CBC");
      DERObjectIdentifier var6;
      var10030.put("Cipher." + (var6 = NISTObjectIdentifiers.id_aes128_OFB), "cn.com.infosec.jce.provider.symmetric.AES$OFB");
      DERObjectIdentifier var7;
      var10029.put("Cipher." + (var7 = NISTObjectIdentifiers.id_aes192_OFB), "cn.com.infosec.jce.provider.symmetric.AES$OFB");
      DERObjectIdentifier var8;
      var10028.put("Cipher." + (var8 = NISTObjectIdentifiers.id_aes256_OFB), "cn.com.infosec.jce.provider.symmetric.AES$OFB");
      DERObjectIdentifier var9;
      var10027.put("Cipher." + (var9 = NISTObjectIdentifiers.id_aes128_CFB), "cn.com.infosec.jce.provider.symmetric.AES$CFB");
      DERObjectIdentifier var10;
      var10026.put("Cipher." + (var10 = NISTObjectIdentifiers.id_aes192_CFB), "cn.com.infosec.jce.provider.symmetric.AES$CFB");
      DERObjectIdentifier var11;
      var10025.put("Cipher." + (var11 = NISTObjectIdentifiers.id_aes256_CFB), "cn.com.infosec.jce.provider.symmetric.AES$CFB");
      var10024.put("Cipher.AESWRAP", "cn.com.infosec.jce.provider.symmetric.AES$Wrap");
      DERObjectIdentifier var12;
      var10023.put("Alg.Alias.Cipher." + (var12 = NISTObjectIdentifiers.id_aes128_wrap), "AESWRAP");
      DERObjectIdentifier var13;
      var10022.put("Alg.Alias.Cipher." + (var13 = NISTObjectIdentifiers.id_aes192_wrap), "AESWRAP");
      DERObjectIdentifier var14;
      var10021.put("Alg.Alias.Cipher." + (var14 = NISTObjectIdentifiers.id_aes256_wrap), "AESWRAP");
      var10020.put("Cipher.AESRFC3211WRAP", "cn.com.infosec.jce.provider.symmetric.AES$RFC3211Wrap");
      var10019.put("KeyGenerator.AES", "cn.com.infosec.jce.provider.symmetric.AES$KeyGen");
      var10018.put("KeyGenerator.2.16.840.1.101.3.4.2", "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10017.put("KeyGenerator.2.16.840.1.101.3.4.22", "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10016.put("KeyGenerator.2.16.840.1.101.3.4.42", "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
      var10015.put("KeyGenerator." + var3, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10014.put("KeyGenerator." + var15, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10013.put("KeyGenerator." + var6, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10012.put("KeyGenerator." + var9, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10011.put("KeyGenerator." + var4, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10010.put("KeyGenerator." + var1, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10009.put("KeyGenerator." + var7, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10008.put("KeyGenerator." + var10, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10007.put("KeyGenerator." + var5, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
      var10006.put("KeyGenerator." + var2, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
      var10005.put("KeyGenerator." + var8, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
      var10004.put("KeyGenerator." + var11, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
      var10003.put("KeyGenerator.AESWRAP", "cn.com.infosec.jce.provider.symmetric.AES$KeyGen");
      var10002.put("KeyGenerator." + var12, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen128");
      var10001.put("KeyGenerator." + var13, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen192");
      var10000.put("KeyGenerator." + var14, "cn.com.infosec.jce.provider.symmetric.AES$KeyGen256");
   }
}
